package cn.com.tenlion.materialstore.pojo.bos.materialtext;

/**
 *
 * @ClassName: MaterialTextBO
 * @Description: 文字素材
 * @Author: CodeFactory
 * @Date: 2021-05-28 11:06:15
 * @Version: 3.0
 **/
public class MaterialTextBO {

    private String materialTextId;
    private String materialTextContent;
    private String materialTextTitle;
    private String materialId;
    private Integer materialOrder;
    private String materialRemark;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getMaterialTextId() {
        return materialTextId == null ? "" : materialTextId.trim();
    }

    public void setMaterialTextId(String materialTextId) {
        this.materialTextId = materialTextId;
    }

    public String getMaterialTextContent() {
        return materialTextContent == null ? "" : materialTextContent.trim();
    }

    public void setMaterialTextContent(String materialTextContent) {
        this.materialTextContent = materialTextContent;
    }

    public String getMaterialTextTitle() {
        return materialTextTitle == null ? "" : materialTextTitle.trim();
    }

    public void setMaterialTextTitle(String materialTextTitle) {
        this.materialTextTitle = materialTextTitle;
    }

    public String getMaterialId() {
        return materialId == null ? "" : materialId.trim();
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public Integer getMaterialOrder() {
        return materialOrder == null ? 0 : materialOrder;
    }

    public void setMaterialOrder(Integer materialOrder) {
        this.materialOrder = materialOrder;
    }

    public String getMaterialRemark() {
        return materialRemark == null ? "" : materialRemark.trim();
    }

    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
